###################################################
### chunk number 1: load:lib
###################################################
library(pgs)


###################################################
### chunk number 2: def:plat
###################################################
plat=PPHexLat2(delta=1,n=4)


###################################################
### chunk number 3: print:lat
###################################################
print(plat)


###################################################
### chunk number 4: plot:plat:1
###################################################
pdf("plat.pdf",onefile=FALSE,height=1,width=1,pointsize=11)
par(mar=c(1,1,1,1))
par(xaxt="n",yaxt="n")


###################################################
### chunk number 5: plot:plat:2
###################################################
plot(plat,xlim=c(0,3),ylim=c(0,3),pch="+",cex=0.3)


###################################################
### chunk number 6: plot:plat:3
###################################################
dev.off()


###################################################
### chunk number 7: def:p3lat
###################################################
p3lat=PPRectLat3(dx=1,dy=1,dz=1,n=4)


###################################################
### chunk number 8: ex:figlat
###################################################
plat=FigLat(2,HexLat2(sqrt(3)/2),PP2(n=4,h=1/5))


###################################################
### chunk number 9: area:mse:approx
###################################################
area.mse(plat,B=1,L=3)


###################################################
### chunk number 10: design
###################################################
u = latscale(PPHexLat2(n=4),A=1,shape=5,CE.n=0.05,upper=2)
u


###################################################
### chunk number 11: counts
###################################################
counts = c(5,3,1,4,1,3,4,2,4,5)


###################################################
### chunk number 12: area:pred
###################################################
areaPred = counts/(4*plat@vlat@det)
areaPred


###################################################
### chunk number 13: var
###################################################
var(areaPred)


###################################################
### chunk number 14: perimeter
###################################################
B = 5*sqrt(mean(areaPred))
B


###################################################
### chunk number 15: area:mse
###################################################
area.mse(plat, B)


###################################################
### chunk number 16: 
###################################################
var(areaPred)-area.mse(plat, B)


###################################################
### chunk number 17: pplat
###################################################
pplat=PPRectLat2(1,1,5,0.4)


###################################################
### chunk number 18: data
###################################################
load("italy_pp_counts.RData")
write.table(pp.counts,row.names=FALSE,col.names=FALSE)


###################################################
### chunk number 19: figlatdata
###################################################
ppldata=FigLatData(pplat,pp.counts)


###################################################
### chunk number 20: area:mse:est
###################################################
area.mse.est(ppldata,mse.only=FALSE,iso=TRUE)


###################################################
### chunk number 21: stretch
###################################################
area.mse.est(ppldata,mse.only=FALSE,iso=FALSE)


